Class AssignCornerBuilder
Inheritance
System.Object
System.MarshalByRefObject
AssignCornerBuilder
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Namespace: NXOpen.RoutingCommon
Assembly: NXOpen.dll
Syntax
public class AssignCornerBuilder : Builder, IMessageSink, IComponentBuilder
Constructors
AssignCornerBuilder()
Declaration
protected AssignCornerBuilder()
Properties
BendCornerSettings
Declaration
[Obsolete("Deprecated in NX11.0.1. Use NXOpen.RoutingCommon.AssignCornerBuilder.CornerSettings instead.")]
public BendCornerTypeBuilder BendCornerSettings { get; }
Property Value
Type | Description |
---|---|
BendCornerTypeBuilder |
ControlPointSelection
Declaration
public RouteObjectCollector ControlPointSelection { get; }
Property Value
Type | Description |
---|---|
RouteObjectCollector |
CornerSettings
Declaration
public CornerBuilder CornerSettings { get; }
Property Value
Type | Description |
---|---|
CornerBuilder |
Type
Declaration
[Obsolete("Deprecated in NX11.0.1. Use NXOpen.RoutingCommon.CornerBuilder.CornerType instead.")]
public AssignCornerBuilder.CornerType Type { get; set; }
Property Value
Type | Description |
---|---|
AssignCornerBuilder.CornerType |
Methods
GetBendCornerAttributes(out NXObject.AttributeInformation[])
Declaration
public void GetBendCornerAttributes(out NXObject.AttributeInformation[] attributes)
Parameters
Type | Name | Description |
---|---|---|
NXObject.AttributeInformation[] | attributes |
GetCreatedComponents()
Declaration
public Component[] GetCreatedComponents()
Returns
Type | Description |
---|---|
Component[] |
GetLogicalObjects(out LogicalObject[])
Declaration
public void GetLogicalObjects(out LogicalObject[] logicalObjects)
Parameters
Type | Name | Description |
---|---|---|
LogicalObject[] | logicalObjects |
PreCommit()
Declaration
public void PreCommit()
RemoveBendCornerAttributes(Corner[])
Declaration
public void RemoveBendCornerAttributes(Corner[] corners)
Parameters
Type | Name | Description |
---|---|---|
Corner[] | corners |
SetBendCornerAttributes(NXObject.AttributeInformation[])
Declaration
public void SetBendCornerAttributes(NXObject.AttributeInformation[] attributes)
Parameters
Type | Name | Description |
---|---|---|
NXObject.AttributeInformation[] | attributes |
Implements
System.Runtime.Remoting.Messaging.IMessageSink